SF State Student Administrative Application System Requirements

SF State Student Administrative Application System Requirements

Use the following browser/operating system compatibility matrix to determine whether your current browser will work with SIMS, FACS, ARM, CELIS or STL.


Java must be installed (recommended version: latest version of Java 6) and be enabled in your browser (www.java.com). Consult your browser's help for instructions.


Note to IE users who receive this error:

Java error screen

Please follow the steps below to resolve the problem. For assistance, contact your technical support.

  1. Close all the browsers.
  2. Uninstall all java including Jinitiator.
  3. Install the latest version of Java 6.
  4. Open IE and log into SF State Student Administrative Applications.

Windows Requirements

Windows - Matrix on OS/Browser compatibilities
Browser Windows 7 Windows Vista XP
Internet Explorer (IE) 9 yes yes n/a
Internet Explorer (IE) 8 yes yes yes
Firefox 5 yes yes yes
Firefox 4 yes yes yes

Macintosh Requirements

Macintosh - Matrix on OS/Browser compatibilities
Browser OS X - 10.6 OS X - 10.5 OS X - 10.4
Safari 5 yes yes n/a
Safari 4 yes yes yes
Firefox 5 yes yes n/a
Firefox 4 yes yes n/a
Firefox 3 yes yes yes

SF State Home